Bug 430339 - Review Request: libgringotts - The libgringotts provides a backend for managing the data files on the disk
Review Request: libgringotts - The libgringotts provides a backend for managi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-26 08:13 EST by Jakub 'Livio' Rusinek
Modified: 2008-02-07 01:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 01:12:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2008-01-26 08:13:55 EST
Spec URL: http://liviopl.fedorapeople.org/libgringotts.spec
SRPM URL: http://liviopl.fedorapeople.org/libgringotts-1.2.1-1.fc8.src.rpm
Description: libgringotts provides a backend for managing the data files on the disk
Comment 1 Bill Nottingham 2008-01-27 23:58:44 EST
"The data files on the disk" is rather generic, and doesn't actually give much
idea what sort of data files it's talking about.
Comment 2 Jakub 'Livio' Rusinek 2008-01-28 01:00:42 EST
I'm not sure what summary and description should I use...
osmo, which I have put in repo already, in SVN requires libgringotts, so I
wanted to put it too...
Comment 3 Bill Nottingham 2008-01-28 15:43:48 EST
Maybe 'libgringotts provides a means for managing encrypted, compressed, data,
stored to disk'. Or something along those lines. A longer description is in the
README.
Comment 4 Jakub 'Livio' Rusinek 2008-01-28 16:27:22 EST
Added "encrypted" to "data files on the disk".

Spec URL: http://liviopl.fedorapeople.org/libgringotts.spec
SRPM URL: http://liviopl.fedorapeople.org/libgringotts-1.2.1-2.fc8.src.rpm
Comment 5 Jason Tibbitts 2008-02-03 21:35:12 EST
Builds OK; rpmlint says:
  libgringotts.x86_64: E: summary-too-long The libgringotts provides a backend
    for managing encrypted data files on the disk
which indeed is too long.  How about changing "The libgringotts provides a" to
just "A".  There's no reason to mention the name of the package in the summary,
and this change would shorten it and make the English sound a bit better.  You
might as well change "the disk" to "disk" since that's how we tend to say it.

In addition, as Bill mentioned in comment 3, you might as well use the nice
description provided in the README file:

----
libGringotts is a small, easy-to-use, thread-safe C library originally
developed for Gringotts; its purpose is to encapsulate data (generic: ASCII,
but also binary data) in an encrypted and compressed structure, to be written
in a file or used elseway. It makes use of strong encryption algorithms, to
ensure the data are as safe as possible, and allow the user to have the complete
control over all the algorithms used in the process.
----

which is much more useful than what you have currently in %description.

I note version 1.2.9 was released around the time you submitted this; any reason
for not submitting that version?

The -devel package installs a .pc file but does not depend on pkgconfig.

* source files match upstream:
   a75e6f757b975d3da662fe7ea2d985f358f31ad2dede1a222bb4aa403d0dbfd1  
   libgringotts-1.2.1.tar.bz2
* package meets naming and versioning guidelines.
 specfile is properly named, is cleanly written and uses macros consistently.
X summary needs a tweak
X you should probably the nuice description upstream provides.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
X latest version is not being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint has a valid complaint.
X final provides and requires:
  libgringotts-1.2.1-2.fc9.x86_64.rpm
   libgringotts.so.2()(64bit)
   libgringotts = 1.2.1-2.fc9
  =
   /sbin/ldconfig
   libbz2.so.1()(64bit)
   libgringotts.so.2()(64bit)
   libmcrypt.so.4()(64bit)
   libmhash.so.2()(64bit)
   libz.so.1()(64bit)

  libgringotts-devel-1.2.1-2.fc9.x86_64.rpm
   libgringotts-devel = 1.2.1-2.fc9
  =
   libgringotts = 1.2.1-2.fc9
   libgringotts.so.2()(64bit)
   (no dependency on pkgconfig)

* %check is not present; no test suite upstream.
* shared libraries installed; ldconfig called properly.
* unversioned .so files are in the -devel package.
X directory ownership issue in -devel package due to the lack of a pkgconfig 
   dependency.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (ldconfig)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
X pkgconfig files present and in the -devel package, but no pkgconfig 
   dependnecy.
* no static libraries.
* no libtool .la files.
Comment 6 Jakub 'Livio' Rusinek 2008-02-04 01:17:42 EST
X summary needs a tweak
Fixed

X you should probably the nuice description upstream provides.
Fixed

X directory ownership issue in -devel package due to the lack of a pkgconfig 
   dependency.
fixed

X pkgconfig files present and in the -devel package, but no pkgconfig 
   dependnecy.
fixed

I'm on the way to the school. I'll give new SPEC and SRPM when I'll be back.
Comment 7 Jakub 'Livio' Rusinek 2008-02-04 10:00:59 EST
1.2.9? It's Gringotts, not libGringotts, which is packaged by me.

SRPM: http://liviopl.fedorapeople.org/libgringotts/libgringotts-lastest.src.rpm
SPEC: http://liviopl.fedorapeople.org/libgringotts/libgringotts.spec

PS: SRPM will stay constant - it will be link.
Comment 8 Jason Tibbitts 2008-02-06 13:53:41 EST
The SRPM link should be
http://liviopl.fedorapeople.org/libgringotts/libgringotts-latest.src.rpm

The URL in the spec doesn't actually mention libgringotts, so I'm sure you can
understand my confusion.  I found it on the download page, though, which
indicates that 1.2.1 is the latest version.

The only rpmlint issue now is:
  libgringotts.x86_64: E: description-line-too-long ensure the data are as safe as 
   possible, and allow the user to have the complete
which you can easily fix up by reflowing the text.

Everything else looks good; just fix up that description line when you check in.

APPROVED
Comment 9 Jakub 'Livio' Rusinek 2008-02-06 14:54:16 EST
1: O, yes, I made little typo, sorry.
2: Again too long... I've tested it and it's ok: quiet for me (SPEC, SRPM, RPM).
Should I fix it indeed?

Comment 10 Jakub 'Livio' Rusinek 2008-02-06 15:03:16 EST
SRPM: http://liviopl.fedorapeople.org/libgringotts/libgringotts-latest.src.rpm
SPEC: http://liviopl.fedorapeople.org/libgringotts/libgringotts.spec

PS: Type APPROVED again and we're done (; .
Comment 11 Jason Tibbitts 2008-02-06 15:19:54 EST
It's already approved; please go ahead and make your CVS request.
Comment 12 Jakub 'Livio' Rusinek 2008-02-06 15:28:39 EST
New Package CVS Request
=======================
Package Name: libgringotts
Short Description: A backend for managing encrypted data files on the disk
Owners: liviopl
Branches: F-7 F-8 devel
InitialCC: liviopl
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-02-06 21:35:58 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.